{% extends "layout/base.html" %}
{% block content %}
<section name="contact-add" id="contact-add">
    <div class = "container">
    <h2>Add Friends</h2>
    <form id="form" method="POST" action="{% url 'add_friend:add_message' %}">
        <label for="id_name">Nama: </label>
        <input id="id_name" class="form-control" name="name" placeholder="Boboi" type="text">
        <label for="id_email">Link: </label>
        <input id="id_email" class="form-control" name="link" placeholder="boboi.herokuapp.com" type="link">
        {% csrf_token %}
        {{ message_form }}
        <br/>
        <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
        </form>
    </div>
</section>
<section name = "my-contact" id="my-contact">
        <div class="container">
            <h1>List Friends</h1>
            <div class="flex">
                {% if message %}
                    {% for i in message %}
                    <div class="flex-item">
                        <div class="all-contact">
                            <div class="all-contact-name">
                                {{i.name}}
                            </div>
                            <div class="all-contact-pic">
                                <img src="http://www.rutlandherald.com/wp-content/uploads/2017/03/default-user.png" width="150px">
                            </div>
                            <div class="all-contact-heroku">
                                <a href="{{i.link}}"><center>{{i.link}}</center></a>
                            </div>
                            <div class="all-contact-date-added">
                                Added {{i.created_date}}
                            </div>
                            <form id="form-{{i.id}}" method="post" action="{% url 'add_friend:remove_contact' %}">
                                {% csrf_token %}
                                <input type="hidden" name="flag" value="{{i.id}}"/>
                                <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="all-contact-delete">
                            </form>
                        </div>
                    </div>
                    {% endfor %}
                {% else %}
                <div class="alert alert-danger text-center">
                    <strong>Oops!</strong> Tidak ada data Data di dalam Kontak.
                 </div>
                {% endif %}
            </div>
        </div>
</section>
{% endblock %}
